//Created by Tom 'Shallow[BAP]' Waters for BAP3DM2
//Some scripts are modified id shaders

//Floor grate with alpha transparency
textures/bap3_dm2/floor03b
{
	qer_editorimage textures/bap3_dm2/floor03b.tga
	surfaceparm trans
	surfaceparm metalsteps
	cull none
	nopicmip
	{
		map textures/bap3_dm2/floor03b.tga
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

//unmarkable, shadow free, pure black texture
textures/bap3_dm2/black_nomarks
{
	qer_editorimage textures/bap3_dm2/black.tga
	surfaceparm nomarks
	surfaceparm noimpact
	surfaceparm nolightmap

	{
		map textures/bap3_dm2/black.tga
	}
}

textures/bap3_dm2/teleporter
{
	cull none
	qer_editorimage textures/sfx/tesla1b.tga
	q3map_surfacelight 200
	surfaceparm nonsolid
	surfaceparm nolightmap

	{
		map textures/sfx/tesla1b.tga
		blendfunc add
		rgbgen wave sawtooth 0 1 0 5
		tcmod scale 1 .5
		tcmod turb 0 .1 0 1
		tcMod scroll -1 -1
	}
}

//Spinney rotatety jump pad texture fun
textures/bap3_dm2/bounce
{
	surfaceparm nodamage
	q3map_surfacelight 300
	qer_editorimage textures/bap3_dm2/1r_cog01.tga

	{
		map textures/bap3_dm2/floor.tga
		rgbGen identity
	}
	{
		clampmap textures/bap3_dm2/1r_cog01.tga
		blendfunc blend
		tcmod rotate 25
	}
	{
		map $lightmap
		rgbGen identity
		blendfunc gl_dst_color gl_zero
	}
	{
		clampmap textures/sfx/jumppadsmall.tga
		blendfunc gl_one gl_one
		tcMod stretch sin 1.2 .8 0 1.5
		rgbGen wave square .5 .5 .25 1.5
	}
}

//Spinney rotatety non-jumppad cog shennanigans
//Don't use this shader where you can see the edges - it will look shit
textures/bap3_dm2/spinningcog
{
	qer_editorimage textures/bap3_dm2/1r_cog01.tga

	{
		clampmap textures/bap3_dm2/1r_cog01.tga
		rgbGen identity
		tcmod rotate 10
	}
	{
		map $lightmap
		rgbGen identity
		blendfunc gl_dst_color gl_zero
	}
}

//It was Mr Rorshach that thought of the rude name, not me!
textures/bap3_dm2/clock_fucked_flicker1k
{
	qer_editorimage textures/bap3_dm2/clock_fucked.tga
	q3map_surfacelight 1000
	light 1
	surfaceparm nomarks

	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/bap3_dm2/clock_fucked.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/bap3_dm2/clock_fucked_glow.tga
		rgbGen wave sin .8 .2 .2 3
		blendfunc GL_ONE GL_ONE
	}
}

//The sky shader
textures/bap3_dm2/clocksky3
{
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm sky

	q3map_sun	0.98 0.98 0.60 70 240 70
	q3map_surfacelight 150

	qer_editorimage textures/bap3_dm2/ornjsky3.tga

	skyparms - 512 -
	{
		map textures/bap3_dm2/ornjsky2.tga
		tcMod scale 2 2
		tcMod scroll 0.05 0.05
		depthWrite
	}
	{
		map textures/bap3_dm2/ornjsky1.tga
		blendFunc GL_ONE GL_ONE
		tcMod scale 3 3
		tcMod scroll 0.02 0.02
	}
}

//Funky env based water effect, supposed to look like disgusting oily water
textures/bap3_dm2/env_water
{
	qer_editorimage textures/bap3_dm2/env_water.tga
	qer_trans .5
	surfaceparm noimpact
	surfaceparm water
	surfaceparm nonsolid
	q3map_globaltexture
	cull disable
	tessSize 32
	deformVertexes wave 100 sin 3 2 .1 0.1

	{
		map textures/bap3_dm2/env_water.tga
		rgbGen identity
		tcGen environment
		tcmod scale 1 1
	}
	{
		map $lightmap
		blendfunc filter
		rgbGen identity
	}
}

//Slower version of id's sfx/fanbladeb shader
textures/bap3_dm2/fan3bladea
{
      qer_editorimage textures/sfx/fan3bladeb.tga
      cull disable
      surfaceparm trans	
      surfaceparm nolightmap
      sort 5
        {
	        clampmap textures/sfx/fan3bladeb.tga
                blendFunc blend
                tcmod rotate 666
	        rgbGen identity
	}
        
}

//Slower version of id's sfx/fanbladeb shader
textures/bap3_dm2/fan3bladec
{
      qer_editorimage textures/sfx/fan3bladeb.tga
      cull disable
      surfaceparm trans	
      surfaceparm nolightmap
      sort 5
        {
	        clampmap textures/sfx/fan3bladeb.tga
                blendFunc blend
                tcmod rotate 777
	        rgbGen identity
	}
        
}

//Textured/embossed metal floor that makes the metalsteps sound
textures/bap3_dm2/floor_clang
{
	qer_editorimage textures/bap3_dm2/floor.tga
	surfaceparm metalsteps

	{
		map textures/bap3_dm2/floor.tga
		blendFunc GL_ONE GL_ZERO
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
	}
}

//Small grill, makes metalsteps sound
textures/bap3_dm2/grill01_shiny_clang
{
	qer_editorimage textures/bap3_dm2/grill01.tga
	surfaceparm metalsteps

	{
		map textures/bap3_dm2/grill01.tga
		blendFunc GL_ONE GL_ZERO
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
	}
}

//Tag applied as decal
textures/bap3_dm2/gromtag
{
	surfaceparm nonsolid
	surfaceparm nolightmap
	surfaceparm trans
	qer_trans 0.5
	qer_editorimage textures/bap3_dm2/gromtag.tga

	{
		map textures/bap3_dm2/gromtag.tga
		blendFunc add
		rgbGen identity
	}
}

//Sprite based thin pipes
textures/bap3_dm2/bap3dm2pipe
{
	surfaceparm trans
	surfaceparm alphashadow
	surfaceparm nomarks
	cull none
	deformVertexes autosprite2
	nopicmip
	{
		map textures/bap3_dm2/bap3dm2pipe.tga
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

//Non-spritey thin pipes
textures/bap3_dm2/bap3dm2pipeflat
{
	qer_editorimage textures/bap3_dm2/bap3dm2pipe.tga
	surfaceparm trans
	surfaceparm alphashadow
	surfaceparm nomarks
	cull none
	nopicmip
	{
		map textures/bap3_dm2/bap3dm2pipe.tga
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

//Scrolly cog-trim fun
textures/bap3_dm2/scrollycogtrim
{
	qer_editorimage textures/bap3_dm2/1r_clock_teeth01.tga
	surfaceparm metalsteps

	{
		map textures/bap3_dm2/1r_clock_teeth01.tga
		tcmod scroll 0.1 0
		blendFunc GL_ONE GL_ZERO
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
	}
}

//Some lovely light emitting shaderage
textures/bap3_dm2/th_trim06_1k
{
	qer_editorimage textures/bap3_dm2/th_trim06.tga
	q3map_surfacelight 1000
	light 1
	surfaceparm nomarks

	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/bap3_dm2/th_trim06.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/bap3_dm2/th_trim06_glow.tga
		blendfunc GL_ONE GL_ONE
	}
}

//Do you know, I do believe that this shader isn't actually used in the map
//but I'm going to leave it in for a lark, tee hee hee.
textures/bap3_dm2/th_trim06_flicker_1k
{
	qer_editorimage textures/bap3_dm2/th_trim06.tga
	q3map_surfacelight 1000
	light 1
	surfaceparm nomarks

	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/bap3_dm2/th_trim06.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/bap3_dm2/th_trim06_glow.tga
		rgbGen wave sin .8 .2 .2 3
		blendfunc GL_ONE GL_ONE
	}
}

//Goodness me, looks like a cheap hack of an id shader
textures/bap3_dm2/ceil1_38_10k
{
	qer_editorimage textures/base_light/ceil1_38.tga
	surfaceparm nomarks
	q3map_surfacelight 5000
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/base_light/ceil1_38.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/base_light/ceil1_38.blend.tga
		rgbGen wave sin .8 .2 .2 3
		blendfunc GL_ONE GL_ONE
	}
}

//Heaven forbid, not another cheap hack of an id shader
textures/bap3_dm2/ceil1_22a
{
	qer_editorimage textures/base_light/ceil1_22a.tga
	surfaceparm nomarks
	q3map_surfacelight 5000
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/base_light/ceil1_22a.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/base_light/ceil1_22a.blend.tga
		rgbGen wave sin .8 .2 .2 3
		blendfunc GL_ONE GL_ONE
	}
}

//Crivens and help m'boab, even more id shader hackery!
textures/bap3_dm2/baslt4_1_2k
{
	qer_editorimage textures/base_light/baslt4_1.tga
	surfaceparm nomarks
	q3map_surfacelight 1600
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/base_light/baslt4_1.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/base_light/baslt4_1.blend.tga
		blendfunc GL_ONE GL_ONE
	}
}

//Will this abuse of id shaders never end!
textures/bap3_dm2/ceil1_4
{
	qer_editorimage textures/base_light/ceil1_4.tga
	surfaceparm nomarks
	q3map_surfacelight 5000
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/base_light/ceil1_4.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/base_light/ceil1_4.blend.tga
		rgbGen wave sin .8 .2 .2 3
		blendfunc GL_ONE GL_ONE
	}
}

//Scary face with flickery glowing eyes fun.
//I like cheese. Congratulations on reading the stupid messages
//in this shader file.
textures/bap3_dm2/watmarker01
{
	q3map_lightimage textures/bap3_dm2/watmarker01.tga
	q3map_surfacelight 100

	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/bap3_dm2/watmarker01.tga
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
	{
		map textures/bap3_dm2/watmarker01_glow.tga
		blendfunc gl_one gl_one
		rgbgen wave sin .7 .1 0 5
	}
}
